<script setup lang="ts">
import { onMounted, ref } from 'vue'
import userService from '../services/user'
import type { User } from '@/types/User';
import {useUserStore} from '@/stores/user'
const userStore = useUserStore()
type View = {
  id:number
  fullName: string,
        role: string,
        name: string,
        total: number
}
const view = ref<View[]>([])
onMounted(async ()=>{
  view.value = (await userService.getView()).data
})
</script>

<template>
  <v-table class="ma-2 rounded-xl">
    <thead>
      <tr>
        <th class="text-center">Id</th>
        <th class="text-center">FullName</th>
        <th class="text-center">Role</th>
        <th class="text-center">BranchName</th>
        <th class="text-center">Total</th>
      </tr>
    </thead>
    <tbody>
      <tr v-for="(entry, index) in view" :key="index">
        <td class="text-center">
          {{ entry.id }}
        </td>
        <td class="text-center">
          {{ entry.fullName }}
        </td>
        <td class="text-center">
          {{ entry.role }}
        </td>
        <td class="text-center">
          {{ entry.name }}
        </td>
        <td class="text-center">
          {{ entry.total }}
        </td>
      </tr>
    </tbody>
  </v-table>
</template>